### Function

# Gcr pkcs11_initialize

#### Declaration [src]

    gboolean
    gcr_pkcs11_initialize (
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Asynchronously initialize the registered PKCS#11 modules.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional cancellable used to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the operation was successful or not.